package beans;
import java.io.IOException;
import java.io.InputStreamReader;
import javax.activation.CommandObject;
import javax.activation.DataHandler;

public class TextViewer implements CommandObject, Command {

    private DataHandler dataHandler;
    
    public void setCommandContext(String verb, 
            DataHandler dataHandler) throws IOException {
        this.dataHandler = dataHandler;
    }

    public void execute() {
        String name = dataHandler.getName();
        try {
            Object content = dataHandler.getContent();
            System.out.println("Viewing the content of " + 
                    name);
            InputStreamReader reader = new InputStreamReader(
                    dataHandler.getInputStream());
            char[] chars = new char[512];
            int i = reader.read(chars);
            while (i != -1) {
                for (int j = 0; j < i; j++) {
                    System.out.print(chars[j]);
                }
                i = reader.read(chars);
            }
            System.out.println();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}